
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Pentium III处理器的单指令多数据流扩展指令（1） / iVAN</title>

    <meta name="description" content="Pentium III处理器的单指令多数据流扩展指令（1） 关键字 : Pentium,处理器,单指令多数据流扩展指令,SSE,指令集 概要 : 随着Intel Pentium III处理器的发布,给程序设计人员又带来了许多新的特性.利用这些新特性,程序员可以为用户创造出更好的产品. Pentium III和Pentium III Xeon(至强处理器)的许多新特性,可以使她能够比Pentium II和Pentium II Xeon处理器有更快的运行速度,这些新特性包括一个处理器序列号(unique processor ID)和新增SSE处理器指令集,这">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Pentium III处理器的单指令多数据流扩展指令（1）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>关键字 :</p>
<p>Pentium,处理器,单指令多数据流扩展指令,SSE,指令集</p>
<p>概要 :</p>
<p>随着Intel Pentium III处理器的发布，给程序设计人员又带来了许多新的特性。利用这些新特性，程序员可以为用户创造出更好的产品. Pentium III和Pentium III Xeon(至强处理器)的许多新特性，可以使她能够比Pentium II和Pentium II Xeon处理器有更快的运行速度，这些新特性包括一个处理器序列号(unique processor ID)和新增SSE处理器指令集,这些新的指令集就像Pentium II在经典Pentium的基础上添加的MMX指令集.</p>
<p>在这篇文章里,我们将向你展示Pentium III处理器和她的这些新特性,并且将着重讲述Pentium III处理器的新指令集.</p>
<p>1.Pentium III处理器概要</p>
<p>1999年2月,Intel发布了她的最新款处理器Pentium III处理器,和以往的新处理器推出一样,速度的提高是最主要的性能改善.Intel在发布她的新处理器时一贯遵循着摩尔定律,即每过18个月处理器的速度将提高一倍(the processor speed doubles every 18 months),但是Pentium III处理器的并没有比Pentium II的速度提高一倍,在Pentium II和Pentium II Xeon处理器运行在333MHz~400MHz时,Pentium III也只不过运行 在450MHz~550MHz而已,处理器的速度并没有多大的提高,但是性能的提升确是很明显的.</p>
<p>从本质上说，Pentium III处理器只不过是一个运行在更高速度的Pentium II处理器,另外再增加了一些新的指令集:Streaming SIMD Extensions(单指令多数据流扩展指令集,或者称为SSE).这些新指令集的增加并不会影响原来的程序运行,因为Pentium III处理器采用的是完全兼容于原来Pentium II处理器的IA-32构架.</p>
<p>如果Pentium III处理器的速度并没有比Pentium II有倍速的提高,那我们为什么还要去选购她呢?</p>
<p>2.Pentium III处理器的新特性</p>
<p>Pentium III处理器添加了两个有趣也是很有用的新特性:处理器序列号(processor serial number)和SSE指令集.由于Pentium III处理器的序列号涉及到用户隐私的争议,为了避免这种争议,在这里我们将把注意力放在Pentium III处理器的SIMD新指令集上.</p>
<p>SSE包含一个SIMD的首字母，SIMD是Single Instruction Multiple Data(单指令多数据)的首字母的缩写.通常,处理器在一个指令周期只能处理一个数据,这叫做Single Instruction Single Data(单指令单数据),缩写为SIDI.和SIDI不同的是,如果处理器具有SIMD能力,那么她就可以在一个CPU指令周期同时处理多个数据.</p>
<p>3.MMX vs SSE</p>
<p>MMX和SSE都是在原来的处理器指令集的基础上添加的扩展指令集,都是SIMD(单指令多数据)指令,不同的是他们处理的数据类型不同. MMX只能在整数上支持SIMD,而SSE指令增加了单精度浮点数的SIMD支持.MMX可以进行同时对2个32位的整数操作,而SSE可以同时对4个32位的浮点数操作.</p>
<p>MMX和SSE的一个主要的区别是MMX并没有定义新的寄存器,而SSE定义了8个全新的128位寄存器,每个寄存器可以同时存放4个单精度浮点数(每个32位长),他们在寄存器中排列顺序见下图1.</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMDAzMjFTMDQxLTAuZ2lm.jpg"><br />图一:新数据类型排列</p>
<p>这里有一个问题,既然MMX没有定义新的寄存器,那么她又有什么寄存器可操作呢?事实上,MMX是和原来的浮点寄存器共享的.一个浮点寄存器是80位长的,她的低端64位被用做MMX的寄存器.这样,一个应用程序就不能在执行MMX指令的同时进行浮点操作了.同时,处理器还要花掉大量的时钟周期去维护寄存器状态从MMX操作和浮点操作之间的切换.SSE指令集就没有这些限制了.由于她定义了全新的寄存器,应用程序可以在进行整数SIMD操作(MMX)的同时进行浮点数的SIMD操作(SSE),同样,SSE还可以在执行浮点数的非SIMD操作的同时进行SIMD操作.</p>
<p>MMX和SSE的寄存器排列见下图2.图2(a)是MMX和浮点数共享一个寄存器的情况,图2(b)是SSE的独立寄存器排列.</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMDAzMjFTNDIyLTEuZ2lm.jpg"><br />图二:MMX和SSE的寄存器</p>
<p>MMX和SSE寄存器有一个共同点,那就是都有8个寄存器.MMX的寄存器被命名为mm0~mm7,SSE的寄存器名字是xmm0~xmm7.</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 21:39:01</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e5%a4%84%e7%90%86%e5%99%a8/" title="处理器">处理器</a>, <a href="https://www.iamivan.net/tag/%e6%8c%87%e4%bb%a4/" title="指令">指令</a>, <a href="https://www.iamivan.net/tag/%e5%af%84%e5%ad%98%e5%99%a8/" title="寄存器">寄存器</a>, <a href="https://www.iamivan.net/tag/%e5%90%8c%e6%97%b6%e5%a4%84%e7%90%86/" title="同时处理">同时处理</a>, <a href="https://www.iamivan.net/tag/simd/" title="simd">simd</a>, <a href="https://www.iamivan.net/tag/%e5%af%84%e5%ad%98%e5%99%a8%e6%93%8d%e4%bd%9c/" title="寄存器操作">寄存器操作</a>, <a href="https://www.iamivan.net/tag/sse/" title="sse">sse</a>, <a href="https://www.iamivan.net/tag/ias%e6%8c%87%e4%bb%a4%e9%9b%86/" title="ias指令集">ias指令集</a>, <a href="https://www.iamivan.net/tag/%e9%a2%84%e5%a4%84%e7%90%86%e6%8c%87%e4%bb%a4/" title="预处理指令">预处理指令</a>, <a href="https://www.iamivan.net/tag/mmx/" title="MMX">MMX</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Pentium III处理器的单指令多数据流扩展指令（1）的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPNx2Db.html" rel="bookmark">Pentium III处理器的单指令多数据流扩展指令（2）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关键字 : Pentium,处理器,单指令多数据流扩展指令,SSE,指令集 概要 : 随着Intel Pentium III处理器的发布,给程序设计人员又带来了许多新的特性.利用这些新特性,程序员可以为用户创造出更好的产品. Pentium III和Pentium III Xeon(至强处理器)的许多新特性,可以使她能够比Pentium II和Pentium II Xeon处理器有更快的运行速度,这些新特性包括一个处理器序列号(unique processor ID)和新增SSE处理器指令集,这			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlRgO8z.html" rel="bookmark">Pentium III处理器的单指令多数据流扩展指令（3）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概要 : 随着Intel Pentium III处理器的发布,给程序设计人员又带来了许多新的特性.利用这些新特性,程序员可以为用户创造出更好的产品. Pentium III和Pentium III Xeon(至强处理器)的许多新特性,可以使她能够比Pentium II和Pentium II Xeon处理器有更快的运行速度,这些新特性包括一个处理器序列号(unique processor ID)和新增SSE处理器指令集,这些新的指令集就像Pentium II在经典Pentium的基础上添加的MMX			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlKqAnb.html" rel="bookmark">ngClip &mdash;&mdash; AngularJS 的剪贴板扩展指令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ngClip 是一个 AngularJS 的扩展指令,封装了 ZeroClipboard 实现了拷贝到剪贴板的功能. 示例代码: .config(['ngClipProvider', function(ngClipProvider) { ngClipProvider.setPath(&quot;bower_components/zeroclipboard/dist/ZeroClipboard.swf&quot;); }]); var myapp = angular.module('myapp', ['ng			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M19AJ5M.html" rel="bookmark">&OpenCurlyDoubleQuote;质数&plus;探查&rdquo;可攻击英特尔软件防护扩展指令拿到密钥</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				软件防护扩展指令( Software Guard Extensions:SGX )本应隐藏数据,但&quot;质数+探查&quot;的攻击方法搞定了它. 1月,英特尔SGX输入输出防护被曝存在可能缺陷,现在,应受保护的SGX飞地上又出现了恶意软件. 奥地利格拉兹科技大学的研究人员写了概念验证程序(PoC),不用SGX保护系统,却用来隐藏恶意软件,并在5分钟之内,就从SGX管辖范围内获取到了RSA密钥. 设计SGX就是为了避免出现这种情况.SGX是隔离机制,本应防止代码和数据不被窥探--恶意特权用户也不行.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mgw5aEM.html" rel="bookmark">使用MMX&sol;SSE汇编指令集优化视频开发</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.汇编指令集 目前大部分的PC机采用的都是Intel或者AMD的CPU,其支持的多媒体汇编指令有: MMX:多媒体扩展指令(MultiMedia eXtention),该指令由Intel在1996年为Pentium处理器开发,包括了57条多媒体指令,可以i一次处理多个数据.但是MMX指令不能与X86浮点运算指令同时执行,在某些场合使用受到一定限制. SSE:SIMD扩展指令集(Streaming SIMD Extension),也称作单指令多数据流扩展.其中的SIMD的含义为Single In			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvGQjWp.html" rel="bookmark">cpu工作原理简析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在了解CPU工作原理之前,我们先简单谈谈CPU是如何生产出来的.CPU是在特别纯净的硅材料上制造的.一个CPU芯片包含上百万个精巧的晶体管.人们在一块指甲盖大小的硅片上,用化学的方法蚀刻或光刻出晶体管.因此,从这个意义上说,CPU正是由晶体管组合而成的.简单而言,晶体管就是微型电子开关,它们是构建CPU的基石,你可以把一个晶体管当作一个电灯开关,它们有个操作位,分别代表两种状态:ON(开)和OFF(关).这一开一关就相当于晶体管的连通与断开,而这两种状态正好与二进制中的基础状态&quot;0&quot;和			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJkZA4b.html" rel="bookmark">内存屏障机制及内核相关源代码分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.---&gt;ymons 在www.linuxforum.net Linux内核技术论坛发贴问:set_current_state和__set_current_state的区别? #define __set_current_state(state_value) /do { current-&gt;state = (state_value); } while (0) #define set_current_state(state_value) /set_mb(current-&gt;state, (st			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXjkXKb.html" rel="bookmark">CPU指令集是什么</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  所谓指令集,就是CPU中用来计算和控制计算机系统的一套指令的集合,而每一种新型的CPU在设计时就规定了一系列与其他硬件电路相配合的指令系统.而指令集的先进与否,也关系到CPU的性能发挥,它也是CPU性能体现的一个重要标志. SSE指令集 由于MMX指令并没有带来3D游戏性能的显著提升,1999年Intel公司在Pentium III CPU产品中推出了数据流单指令序列扩展指令(SSE).SSE兼容MMX指令,它可以通过SIMD(单指令多数据技术)和单时钟周期并行处理多个浮点来有效地提高浮点运			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baloBQz.html" rel="bookmark">Viusal C&plus;&plus;&period;NET的优化代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 人们在使用一个新的编程工具时总会感到缺乏自信,本文试图让你对VC的代码优化有更直观的感觉,希望你能通过阅读本文从VC中&quot;得到&quot;更多的东西. Visual C++ .NET 2003 VC.NET 2003不仅带来了两个新的优化选项,它还改进了VC.NET 2002中一些优化的性能. 第一个新增选项是&quot;/G7&quot;,它告诉编译器对Intel Pentium 4和AMD Athlon处理器进行优化. 使用&quot;/G7&quot;选项编译的程序,当我们和VC.NE			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaD8qz.html" rel="bookmark" class="title">深入挖掘Windows脚本技术</a>
					<div>
						window|脚本 [目录]1,前言2,回顾WSH对象3,WMI服务4,脚本也有GUI5,反查杀6,来做个后门7,结语8,参考资料 [前言]本文讲述一些Windows脚本编程的知识和技巧.这里的Win ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOg9aM.html" rel="bookmark" class="title">服务器集群应用及运维经验小结</a>
					<div>
						本人目前很重要的一部分工作是参与或负责部门内一些集群的维护.应用开发以及优化,其中包括:HBase集群.Storm集群.Hadoop集群.Super Mario集群(部门内部开发的实时流处理系统)等, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRORVz.html" rel="bookmark" class="title">维护Sql Server表的索引</a>
					<div>
						第一步:查看是否需要维护,查看扫描密度/Scan Density是否为100% declare @table_id intset @table_id=object_id('表名')dbcc showc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balJygz.html" rel="bookmark" class="title">tplink路由器英文版怎么设置</a>
					<div>
						  tplink路由器英文版设置方法 在中国大陆地区销售的路由器,管理界面均为简体中文,无法升级或设置为英文或其他语言界面.目前,仅部分便携式3G/4G路由器(TL-TR761系列/861系列/961 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jDQZb.html" rel="bookmark" class="title">Photoshop打造帅气的指示框</a>
					<div>
						打造一个帅气的指示框,可用于盒子的标题,下面展示最终效果图. 一.建立文件,400*100px,72dpi,背景白色. 二.画一个长方形,选择&gt;修改&gt;平滑,填入2px. 三.混合选项&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZj1Vz.html" rel="bookmark" class="title">让word和Excel表格中的数据自动同步更新教程</a>
					<div>
						  在Word文档编辑时,需要用到Excel工作表中的数据资料,但是当word和Excel中某一个数据发生改变后,我们就不得不寻找对应的部分来修改,如果涉及的数据量较大,那工作的强度也会大大提升.其实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBWa8z.html" rel="bookmark" class="title">PS怎样把一张图片完全放到另一张图片上&quest;</a>
					<div>
						  平时 我们在对图片进行编辑处理的时候,不知如何将一张图片上的某个图案完整的放到另一张图片上.那么我们要怎样操作呢?小编在这给大家分享下 工具/原料 Adobe Photoshop CS5 方法/步 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvG7ENp.html" rel="bookmark" class="title">Word如何通过压缩图片的方式让文档瘦身</a>
					<div>
						  方法一: 1启动Word,新建文档,输入文档内容(含有图片). 2保存文档,保存后的效果如下图所示.发现该文档大小为&quot;570K&quot;. 3下面解决文档瘦身方法.打开要瘦身的文档,然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLg9Eb.html" rel="bookmark" class="title">Win7下轻松传送找不到文件</a>
					<div>
						症状 当您使用 Windows 轻松传送 在 Windows 7 中还原数据从跨分区的迁移存储时,您会收到以下错误消息: 当 Windows 轻松传送不能打开该文件. 原因 当跨区卷的迁移存储文件不在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKk14ab.html" rel="bookmark" class="title">电脑蓝屏代码0x0000000a的原因</a>
					<div>
						  蓝屏代码0x0000000a也是很多网友遇到过的问题,那么电脑蓝屏代码0x0000000a造成的原因是什么呢? 主要是由问题的驱动程序.有缺陷或不兼容的硬件与软件造成的. 从技术角度讲. 表明在内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXkynp.html" rel="bookmark" class="title">再谈pipeline-filter模式</a>
					<div>
						本文结合最近我正在实现的一个基于RabbitMQ的消息总线上所走的弯路来谈谈设计层面上的责任链模式以及架构层面上的pipeline-filter模式.写这篇文章的另一个目的是为了纠正我之前针对pipe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7Lwoz.html" rel="bookmark" class="title">css浮动</a>
					<div>
						一.浮动介绍 历史: 浮动属性产生之初是为了实现&quot;文字环绕&quot;的效果,让文字环绕图片在网页实现类似word中&quot;图文混排&quot;. 定位方式: 浮动让元素脱离正常流,向父 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQr9EGM.html" rel="bookmark" class="title">程序bug致损失400亿，判程序员坐牢？ 搞笑我们是认真的</a>
					<div>
						号外!号外!走过,路过,不要错过!日本 IT 业的狗血八卦继续独家放送啦!! 2015 年 9 月 3 日,随着东京最高法院驳回瑞穗证券的上诉,维持二审的原判结果,一个长达 10 年的诉讼终于画下了句 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NaAAM.html" rel="bookmark" class="title">redis集群相关资料</a>
					<div>
						Cluster简介         Redis 3.0引入的cluster.cluster是具有有自动数据分片.容错.针对读取速度有了显著的提升.改进了AOF重写等的redis分布式实现.     R ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWl2Op.html" rel="bookmark" class="title">Docker在英雄联盟游戏中的实践探索（二）</a>
					<div>
						本文讲的是Docker在英雄联盟游戏中的实践探索(二),[编者的话]这篇博客是Riot的Docker实践系列博客的第二篇,主要内容是:基于Cloudbees镜像创建新的Dockerfile,设置了一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2Lvmb.html" rel="bookmark" class="title">onkeyup-这个可以  但是如果我一直按着键盘的话  在点提交 那这个限制也被破解来了 怎么解决》？？？</a>
					<div>
						问题描述 这个可以 但是如果我一直按着键盘的话 在点提交 那这个限制也被破解来了 怎么解决&gt;??? js 禁止空格 onkeyup=&quot;this.value=this.value.rep ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjEgep.html" rel="bookmark" class="title">WCF客户端调用服务延迟</a>
					<div>
						问题描述 大家好,我写了一个WCF服务,平时调用响应都挺快的,由于我有时操作要上传很多的数据并且放入内存中计算,就在数据量大的时候发现响应有延迟了(并不是方法内部处理的慢,而是根本就没有进入方法,感觉 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94YGob.html" rel="bookmark" class="title">求助，做了一个计算器，想在FORM2里面显示计算记录</a>
					<div>
						问题描述 求助,做了一个计算器,想在FORM2里面显示计算记录(序号.结算结果等等) 解决方案 解决方案二:LZ是遇到了什么问题?把代码贴来看下解决方案三:引用1楼lyq8376的回复: LZ是遇到了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDDNxz.html" rel="bookmark" class="title">浅析weex之vdom渲染</a>
					<div>
						前言 前段时间进行了weex页面尝试, 页面滚动加载渲染得非常流畅, 让H5页面拥有了native般的体验. 如此之利器,让人非常想探一究竟,因此最近进行了js-framwork源码学习(weex开源 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRJRYp.html" rel="bookmark" class="title">普通程序员，如何转为当前紧缺的大数据相关人才&quest;</a>
					<div>
						前段时间跟候选人聊天,一个有多年工作经验的资深 iOS 工程师告诉我,他最近正在学习 Machine Learning 相关的知识.他觉得,对于程序员来说,技术进步大大超过世人的想象,如果你不跟随时代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeKoXb.html" rel="bookmark" class="title">vs2013运行程序时出现问题，求帮助啊！</a>
					<div>
						问题描述 错误3error:此编译的源文件可以在以下位置找到:&quot;C:UsersAdministratorAppDataLocalTempaad0d154-545e-4f4d-8f2e-6ad ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRGa7b.html" rel="bookmark" class="title">80后大学生卖枕头年收入超15万元</a>
					<div>
						卖枕头的商机有多大?市民朱懿的回答是:如果你的东西够独特,年收入可以达到15万元以上.而朱懿自己卖的,就是专门给失眠人士的&quot;安眠枕头&quot;. 创业从&quot;头&quot;开始 朱懿 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBE3QM.html" rel="bookmark" class="title">mip-anim动图详解 mip-anim动图怎么用</a>
					<div>
						标题 内容 类型 通用 支持布局 responsive, fixed-height, fixed, container 文档 所需脚本 https://mipcache.bdstatic.com/st ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40OYjz.html" rel="bookmark" class="title">odbc-SYBASE ASA 9&period;0在WIN7系统ODBC32配置的问题</a>
					<div>
						问题描述 SYBASE ASA 9.0在WIN7系统ODBC32配置的问题 原来程序通过ODBC连ASA9.0正常,上月装了下IQ,卸载后无法打开ASA库了. 进入控制面板中发现ODBC(32位)的选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyexQ8M.html" rel="bookmark" class="title">java-JAVA实现：一个数组里有1000个数，依次输出最大的10个数</a>
					<div>
						问题描述 JAVA实现:一个数组里有1000个数,依次输出最大的10个数 刚接触JAVA,求各位前辈解答............... 解决方案 Random random = new Random( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdye33z.html" rel="bookmark" class="title">张艾嘉郑元畅探访印度贫困儿分享希望幸福&lpar;图&rpar;</a>
					<div>
						张艾嘉携手郑元畅.贺军翔探访印度贫困儿童 张艾嘉.郑元畅.贺军翔与印度贫困儿童合影 张艾嘉与身着印度传统服饰的儿童 印度小朋友展露笑容 新浪娱乐讯 日前,张艾嘉(Sylvia)携手郑元畅(小综).贺军 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKw5Lp.html" rel="bookmark" class="title">PP助手上架新游戏  iPad mini2抢先试玩</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断淘宝客 站长团购 云主机 技术大厅 Retina iPad m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZwZrb.html" rel="bookmark" class="title">MySQL对数据库数据进行复制的基本过程详解&lowbar;Mysql</a>
					<div>
						复制      复制是从一个MySQL服务器(master)将数据拷贝到另外一台或多台MySQL服务器(slaves)的过程.复制是异步进行的--slaves服务器不需要持续地保持连接来接收maste ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqW5Xez.html" rel="bookmark" class="title">转贴：（一部分）深度探索C&num;语言的面向对象机制</a>
					<div>
						域 域(Field)又称成员变量(Member Variable),是C#中类不可缺少的一部分.域的类型可以是C#中任何数据类型.但对于除去string类型的其他引用类型由于在初始化时涉及到一些类的构 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9j7xkp.html" rel="bookmark" class="title">如何向Google提交网站？</a>
					<div>
						怎样才能把我的网站加入Google? 通常情况下,Google的机器会自动到茫茫网海中搜寻网页,将网页收集到数据库中.如果您的网页尚未在 Google的数据库中,可能是Google的机器还没有发现它, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
